diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index e33d43f524283465618cdffc7fbc41a2753dcf1c..713e7a381ebb376784582b36040e36e30fc79304 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -1968,33 +2066,33 @@ class Password:
                         extra=config.PKI_INDENTATION_LEVEL_2)
                     # overwrite the existing 'password.conf' file
                     with open(path, "w") as fd:
-                        if pin_sans_token == True:
+                        if pin_sans_token:
                             fd.write(str(pin))
-                        elif self.mdict['pki_subsystem'] in\
-                           config.PKI_APACHE_SUBSYSTEMS:
-                            fd.write(self.mdict['pki_self_signed_token'] + \
+                        elif self.mdict['pki_subsystem'] in \
+                                config.PKI_APACHE_SUBSYSTEMS:
+                            fd.write(self.mdict['pki_self_signed_token'] +
                                      ":" + str(pin))
                         else:
-                            fd.write(self.mdict['pki_self_signed_token'] + \
+                            fd.write(self.mdict['pki_self_signed_token'] +
                                      "=" + str(pin))
             else:
                 config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
                 # create a new 'password.conf' file
                 with open(path, "w") as fd:
-                    if pin_sans_token == True:
+                    if pin_sans_token:
                         fd.write(str(pin))
                     elif self.mdict['pki_subsystem'] in\
-                       config.PKI_APACHE_SUBSYSTEMS:
-                        fd.write(self.mdict['pki_self_signed_token'] + \
+                            config.PKI_APACHE_SUBSYSTEMS:
+                        fd.write(self.mdict['pki_self_signed_token'] +
                                  ":" + str(pin))
                     else:
-                        fd.write(self.mdict['pki_self_signed_token'] + \
+                        fd.write(self.mdict['pki_self_signed_token'] +
                                  "=" + str(pin))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -2018,7 +2116,7 @@ class Password:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -2027,10 +2125,10 @@ class Password:
            os.access(path, os.R_OK):
             tokens = PKIConfigParser.read_simple_configuration_file(path)
             hardware_token = "hardware-" + token_name
-            if tokens.has_key(hardware_token):
+            if hardware_token in tokens:
                 token_name = hardware_token
                 token_pwd = tokens[hardware_token]
-            elif tokens.has_key(token_name):
+            elif token_name in tokens:
                 token_pwd = tokens[token_name]
 
         if token_pwd is None or token_pwd == '':
@@ -2038,12 +2136,13 @@ class Password:
             config.pki_log.error(log.PKIHELPER_PASSWORD_NOT_FOUND_1,
                                  token_name,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise Exception(log.PKIHELPER_PASSWORD_NOT_FOUND_1 % token_name)
             else:
                 return
         return token_pwd
 
+
 class Certutil:
     """PKI Deployment NSS 'certutil' Class"""
 
@@ -2065,15 +2164,16 @@ class Certutil:
                     log.PKIHELPER_CERTUTIL_MISSING_PATH,
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 raise Exception(log.PKIHELPER_CERTUTIL_MISSING_PATH)
-            if password_file != None:
+            if password_file is not None:
                 command.extend(["-f", password_file])
-            if prefix != None:
+            if prefix is not None:
                 command.extend(["-P", prefix])
             if not os.path.exists(path):
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % path)
+                raise Exception(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % path)
             if os.path.exists(pki_cert_database) or\
                os.path.exists(pki_key_database) or\
                os.path.exists(pki_secmod_database):
@@ -2085,14 +2185,16 @@ class Certutil:
                     pki_secmod_database,
                     extra=config.PKI_INDENTATION_LEVEL_2)
             else:
-                if password_file != None:
+                if password_file is not None:
                     if not os.path.exists(password_file) or\
                        not os.path.isfile(password_file):
                         config.pki_log.error(
                             log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
                             password_file,
                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % password_file)
+                        raise Exception(
+                            log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 %
+                            password_file)
                 # Display this "certutil" command
                 config.pki_log.info(
                     log.PKIHELPER_CREATE_SECURITY_DATABASES_1,
@@ -2103,12 +2205,12 @@ class Certutil:
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -2144,13 +2246,14 @@ class Certutil:
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 raise Exception(log.PKIHELPER_CERTUTIL_MISSING_NICKNAME)
             #   OPTIONALLY specify a password file
-            if password_file != None:
+            if password_file is not None:
                 command.extend(["-f", password_file])
             if not os.path.exists(path):
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % path)
+                raise Exception(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % path)
             if not os.path.exists(pki_cert_database) or\
                not os.path.exists(pki_key_database) or\
                not os.path.exists(pki_secmod_database):
@@ -2161,22 +2264,26 @@ class Certutil:
                     pki_key_database,
                     pki_secmod_database,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_SECURITY_DATABASES_DO_NOT_EXIST_3 % (pki_cert_database,
-                                                                             pki_key_database, pki_secmod_database))
-            if password_file != None:
+                raise Exception(
+                    log.PKI_SECURITY_DATABASES_DO_NOT_EXIST_3 % (
+                        pki_cert_database,
+                        pki_key_database,
+                        pki_secmod_database))
+            if password_file is not None:
                 if not os.path.exists(password_file) or\
                    not os.path.isfile(password_file):
                     config.pki_log.error(
                         log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
                         password_file,
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % password_file)
+                    raise Exception(
+                        log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % password_file)
             # Display this "certutil" command
             config.pki_log.info(
                 log.PKIHELPER_CERTUTIL_SELF_SIGNED_CERTIFICATE_1,
                 ' '.join(command), extra=config.PKI_INDENTATION_LEVEL_2)
             # Execute this "certutil" command
-            if silent != False:
+            if silent:
                 # By default, execute this command silently
                 with open(os.devnull, "w") as fnull:
                     subprocess.check_call(command, stdout=fnull, stderr=fnull)
@@ -2187,7 +2294,7 @@ class Certutil:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return True
 
@@ -2235,7 +2342,7 @@ class Certutil:
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 raise Exception(log.PKIHELPER_CERTUTIL_MISSING_SUBJECT)
             #   Specify the serial number
-            if serial_number != None:
+            if serial_number is not None:
                 command.extend(["-m", str(serial_number)])
             else:
                 config.pki_log.error(
@@ -2243,7 +2350,7 @@ class Certutil:
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 raise Exception(log.PKIHELPER_CERTUTIL_MISSING_SERIAL_NUMBER)
             #   Specify the months valid
-            if validity_period != None:
+            if validity_period is not None:
                 command.extend(["-v", str(validity_period)])
             else:
                 config.pki_log.error(
@@ -2275,7 +2382,7 @@ class Certutil:
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 raise Exception(log.PKIHELPER_CERTUTIL_MISSING_NOISE_FILE)
             #   OPTIONALLY specify a password file
-            if password_file != None:
+            if password_file is not None:
                 command.extend(["-f", password_file])
             #   ALWAYS self-sign this certificate
             command.append("-x")
@@ -2287,7 +2394,8 @@ class Certutil:
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % path)
+                raise Exception(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % path)
             if not os.path.exists(pki_cert_database) or\
                not os.path.exists(pki_key_database) or\
                not os.path.exists(pki_secmod_database):
@@ -2298,22 +2406,27 @@ class Certutil:
                     pki_key_database,
                     pki_secmod_database,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_SECURITY_DATABASES_DO_NOT_EXIST_3 % (pki_cert_database,
-                                                                             pki_key_database, pki_secmod_database))
+                raise Exception(
+                    log.PKI_SECURITY_DATABASES_DO_NOT_EXIST_3 % (
+                        pki_cert_database,
+                        pki_key_database,
+                        pki_secmod_database))
             if not os.path.exists(noise_file):
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1,
                     noise_file,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % noise_file)
-            if password_file != None:
+                raise Exception(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % noise_file)
+            if password_file is not None:
                 if not os.path.exists(password_file) or\
                    not os.path.isfile(password_file):
                     config.pki_log.error(
                         log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
                         password_file,
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % password_file)
+                    raise Exception(
+                        log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % password_file)
             # Execute this "certutil" command
             #
             #     NOTE:  ALWAYS mask the command-line output of this command
@@ -2323,12 +2436,12 @@ class Certutil:
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -2343,7 +2456,7 @@ class Certutil:
                 command.extend(["-h", token])
 
             if nickname:
-                command.extend(["-n", nickname ])
+                command.extend(["-n", nickname])
             else:
                 config.pki_log.error(
                     log.PKIHELPER_CERTUTIL_MISSING_NICKNAME,
@@ -2374,18 +2487,19 @@ class Certutil:
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 raise Exception(log.PKIHELPER_CERTUTIL_MISSING_PASSWORD_FILE)
 
-            config.pki_log.info(' '.join(command),
+            config.pki_log.info(
+                ' '.join(command),
                 extra=config.PKI_INDENTATION_LEVEL_2)
             subprocess.check_call(command)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -2447,29 +2561,32 @@ class Certutil:
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1,
                     noise_file,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % noise_file)
+                raise Exception(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % noise_file)
             if not os.path.exists(password_file) or\
                not os.path.isfile(password_file):
                 config.pki_log.error(
                     log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
                     password_file,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % password_file)
+                raise Exception(
+                    log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % password_file)
             # Execute this "certutil" command
             with open(os.devnull, "w") as fnull:
                 subprocess.check_call(command, stdout=fnull, stderr=fnull)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
+
 class PK12util:
     """PKI Deployment pk12util class"""
 
@@ -2511,22 +2628,24 @@ class PK12util:
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 raise Exception(log.PKIHELPER_PK12UTIL_MISSING_DBPWFILE)
 
-            config.pki_log.info(' '.join(command),
-                    extra=config.PKI_INDENTATION_LEVEL_2)
+            config.pki_log.info(
+                ' '.join(command),
+                extra=config.PKI_INDENTATION_LEVEL_2)
             with open(os.devnull, "w") as fnull:
                 subprocess.check_call(command, stdout=fnull, stderr=fnull)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
+
 class KRAConnector:
     """PKI Deployment KRA Connector Class"""
 
@@ -2545,7 +2664,7 @@ class KRAConnector:
                 extra=config.PKI_INDENTATION_LEVEL_2)
 
             cs_cfg = PKIConfigParser.read_simple_configuration_file(
-                         self.mdict['pki_target_cs_cfg'])
+                self.mdict['pki_target_cs_cfg'])
             krahost = cs_cfg.get('service.machineName')
             kraport = cs_cfg.get('pkicreate.secure_port')
             cahost = cs_cfg.get('cloning.ca.hostname')
@@ -2558,7 +2677,7 @@ class KRAConnector:
                 config.pki_log.error(
                     log.PKIHELPER_UNDEFINED_CA_HOST_PORT,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise Exception(log.PKIHELPER_UNDEFINED_CA_HOST_PORT)
                 else:
                     return
@@ -2572,7 +2691,7 @@ class KRAConnector:
                 config.pki_log.error(
                     log.PKIHELPER_UNDEFINED_SUBSYSTEM_NICKNAME,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise Exception(log.PKIHELPER_UNDEFINED_SUBSYSTEM_NICKNAME)
                 else:
                     return
@@ -2584,9 +2703,9 @@ class KRAConnector:
                 token_name = "internal"
 
             token_pwd = self.password.get_password(
-                            self.mdict['pki_shared_password_conf'],
-                            token_name,
-                            critical_failure)
+                self.mdict['pki_shared_password_conf'],
+                token_name,
+                critical_failure)
 
             if token_pwd is None or token_pwd == '':
                 config.pki_log.warning(
@@ -2596,13 +2715,15 @@ class KRAConnector:
                     log.PKIHELPER_UNDEFINED_TOKEN_PASSWD_1,
                     token_name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
-                    raise Exception(log.PKIHELPER_UNDEFINED_TOKEN_PASSWD_1 % token_name)
+                if critical_failure:
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_TOKEN_PASSWD_1 % token_name)
                 else:
                     return
 
-            self.execute_using_sslget(caport, cahost, subsystemnick,
-                                 token_pwd, krahost, kraport)
+            self.execute_using_sslget(
+                caport, cahost, subsystemnick,
+                token_pwd, krahost, kraport)
 
         except subprocess.CalledProcessError as exc:
             config.pki_log.warning(
@@ -2612,12 +2733,13 @@ class KRAConnector:
                 extra=config.PKI_INDENTATION_LEVEL_2)
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
-    def execute_using_pki(self, caport, cahost, subsystemnick,
-      token_pwd, krahost, kraport, critical_failure=False):
+    def execute_using_pki(
+            self, caport, cahost, subsystemnick,
+            token_pwd, krahost, kraport, critical_failure=False):
         command = ["/bin/pki",
                    "-p", str(caport),
                    "-h", cahost,
@@ -2638,14 +2760,16 @@ class KRAConnector:
                 str(krahost),
                 str(kraport),
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, output,
+            config.pki_log.error(
+                log.PKI_SUBPROCESS_ERROR_1, output,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-        if critical_failure == True:
+        if critical_failure:
             raise Exception(log.PKI_SUBPROCESS_ERROR_1 % output)
 
-    def execute_using_sslget(self, caport, cahost, subsystemnick,
-      token_pwd, krahost, kraport):
-        updateURL = "/ca/rest/admin/kraconnector/remove"
+    def execute_using_sslget(
+            self, caport, cahost, subsystemnick,
+            token_pwd, krahost, kraport):
+        update_url = "/ca/rest/admin/kraconnector/remove"
 
         params = "host=" + str(krahost) + \
                  "&port=" + str(kraport)
@@ -2656,13 +2780,14 @@ class KRAConnector:
                    "-d", self.mdict['pki_database_path'],
                    "-e", params,
                    "-v",
-                   "-r", updateURL, cahost + ":" + str(caport)]
+                   "-r", update_url, cahost + ":" + str(caport)]
 
         # update KRA connector
         # Execute this "sslget" command
         # Note that sslget will return non-zero value for HTTP code != 200
         # and this will raise an exception
-        subprocess.check_output(command,stderr=subprocess.STDOUT)
+        subprocess.check_output(command, stderr=subprocess.STDOUT)
+
 
 class TPSConnector:
     """PKI Deployment TPS Connector Class"""
@@ -2682,7 +2807,7 @@ class TPSConnector:
                 extra=config.PKI_INDENTATION_LEVEL_2)
 
             cs_cfg = PKIConfigParser.read_simple_configuration_file(
-                         self.mdict['pki_target_cs_cfg'])
+                self.mdict['pki_target_cs_cfg'])
             tpshost = cs_cfg.get('service.machineName')
             tpsport = cs_cfg.get('pkicreate.secure_port')
             tkshostport = cs_cfg.get('conn.tks1.hostport')
@@ -2693,7 +2818,7 @@ class TPSConnector:
                 config.pki_log.error(
                     log.PKIHELPER_UNDEFINED_TKS_HOST_PORT,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise Exception(log.PKIHELPER_UNDEFINED_TKS_HOST_PORT)
                 else:
                     return
@@ -2715,7 +2840,7 @@ class TPSConnector:
                 config.pki_log.error(
                     log.PKIHELPER_UNDEFINED_SUBSYSTEM_NICKNAME,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise Exception(log.PKIHELPER_UNDEFINED_SUBSYSTEM_NICKNAME)
                 else:
                     return
@@ -2727,9 +2852,9 @@ class TPSConnector:
                 token_name = "internal"
 
             token_pwd = self.password.get_password(
-                            self.mdict['pki_shared_password_conf'],
-                            token_name,
-                            critical_failure)
+                self.mdict['pki_shared_password_conf'],
+                token_name,
+                critical_failure)
 
             if token_pwd is None or token_pwd == '':
                 config.pki_log.warning(
@@ -2739,13 +2864,15 @@ class TPSConnector:
                     log.PKIHELPER_UNDEFINED_TOKEN_PASSWD_1,
                     token_name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
-                    raise Exception(log.PKIHELPER_UNDEFINED_TOKEN_PASSWD_1 % token_name)
+                if critical_failure:
+                    raise Exception(
+                        log.PKIHELPER_UNDEFINED_TOKEN_PASSWD_1 % token_name)
                 else:
                     return
 
-            self.execute_using_pki(tkshost, tksport, subsystemnick,
-                                 token_pwd, tpshost, tpsport)
+            self.execute_using_pki(
+                tkshost, tksport, subsystemnick,
+                token_pwd, tpshost, tpsport)
 
         except subprocess.CalledProcessError as exc:
             config.pki_log.warning(
@@ -2755,12 +2882,13 @@ class TPSConnector:
                 extra=config.PKI_INDENTATION_LEVEL_2)
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
-    def execute_using_pki(self, tkshost, tksport, subsystemnick,
-      token_pwd, tpshost, tpsport, critical_failure=False):
+    def execute_using_pki(
+            self, tkshost, tksport, subsystemnick,
+            token_pwd, tpshost, tpsport, critical_failure=False):
         command = ["/bin/pki",
                    "-p", str(tksport),
                    "-h", tkshost,
@@ -2784,11 +2912,13 @@ class TPSConnector:
                 str(tpshost),
                 str(tpsport),
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, output,
+            config.pki_log.error(
+                log.PKI_SUBPROCESS_ERROR_1, output,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-        if critical_failure == True:
+        if critical_failure:
             raise Exception(log.PKI_SUBPROCESS_ERROR_1 % output)
 
+
 class SecurityDomain:
     """PKI Deployment Security Domain Class"""
 
@@ -2828,7 +2958,7 @@ class SecurityDomain:
             config.pki_log.error(
                 log.PKIHELPER_SECURITY_DOMAIN_UNDEFINED,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise Exception(log.PKIHELPER_SECURITY_DOMAIN_UNDEFINED)
             else:
                 return
@@ -2837,7 +2967,7 @@ class SecurityDomain:
                             secname,
                             extra=config.PKI_INDENTATION_LEVEL_2)
         listval = typeval.lower() + "List"
-        updateURL = "/ca/agent/ca/updateDomainXML"
+        update_url = "/ca/agent/ca/updateDomainXML"
 
         params = "name=" + "\"" + self.mdict['pki_instance_path'] + "\"" + \
                  "&type=" + str(typeval) + \
@@ -2853,31 +2983,32 @@ class SecurityDomain:
             try:
                 # first try install token-based servlet
                 params += "&sessionID=" + str(install_token)
-                adminUpdateURL = "/ca/admin/ca/updateDomainXML"
+                admin_update_url = "/ca/admin/ca/updateDomainXML"
                 command = ["/usr/bin/sslget",
                            "-p", str(123456),
                            "-d", self.mdict['pki_database_path'],
                            "-e", params,
                            "-v",
-                           "-r", adminUpdateURL,
+                           "-r", admin_update_url,
                            sechost + ":" + str(secadminport)]
-                output = subprocess.check_output(command,
-                                             stderr=subprocess.STDOUT)
+                output = subprocess.check_output(
+                    command,
+                    stderr=subprocess.STDOUT)
             except subprocess.CalledProcessError:
                 config.pki_log.warning(
                     log.PKIHELPER_SECURITY_DOMAIN_UNREACHABLE_1,
                     secname,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                output = self.update_domain_using_agent_port(typeval,
-                    secname, params, updateURL, sechost, secagentport,
+                output = self.update_domain_using_agent_port(
+                    typeval, secname, params, update_url, sechost, secagentport,
                     critical_failure)
         else:
-            output = self.update_domain_using_agent_port(typeval,
-                secname, params, updateURL, sechost, secagentport,
+            output = self.update_domain_using_agent_port(
+                typeval, secname, params, update_url, sechost, secagentport,
                 critical_failure)
 
         if not output:
-            if critical_failure == True:
+            if critical_failure:
                 raise Exception("Cannot update domain using agent port")
             else:
                 return
@@ -2892,8 +3023,9 @@ class SecurityDomain:
                 log.PKIHELPER_SECURITY_DOMAIN_UNREACHABLE_1,
                 secname,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
-                raise Exception(log.PKIHELPER_SECURITY_DOMAIN_UNREACHABLE_1 % secname)
+            if critical_failure:
+                raise Exception(
+                    log.PKIHELPER_SECURITY_DOMAIN_UNREACHABLE_1 % secname)
         elif status[0] != "0":
             error = re.findall('<Error>(.*?)</Error>', output)
             if not error:
@@ -2909,7 +3041,7 @@ class SecurityDomain:
                 secname,
                 error,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise Exception(log.PKIHELPER_SECURITY_DOMAIN_UPDATE_FAILURE_3
                                 %
                                 (typeval, secname, error))
@@ -2920,8 +3052,9 @@ class SecurityDomain:
                 secname,
                 extra=config.PKI_INDENTATION_LEVEL_2)
 
-    def update_domain_using_agent_port(self, typeval, secname, params,
-        updateURL, sechost, secagentport, critical_failure=False):
+    def update_domain_using_agent_port(
+            self, typeval, secname, params,
+            update_url, sechost, secagentport, critical_failure=False):
         token_pwd = None
         cs_cfg = PKIConfigParser.read_simple_configuration_file(
             self.mdict['pki_target_cs_cfg'])
